<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>GameDaoImpl.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">team-3-project2-public</a> &gt; <a href="index.source.html" class="el_package">dev.team3.daos</a> &gt; <span class="el_source">GameDaoImpl.java</span></div><h1>GameDaoImpl.java</h1><pre class="source lang-java linenums">package dev.team3.daos;

import dev.team3.models.Game;
import org.springframework.stereotype.Repository;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Repository
public class GameDaoImpl implements GameDao{

<span class="fc" id="L13">    private List&lt;Game&gt; games = new ArrayList&lt;Game&gt;();</span>

<span class="fc" id="L15">    public GameDaoImpl(){</span>
<span class="fc" id="L16">        games.add(new Game(&quot;Rock Paper Scissors&quot;));</span>
<span class="fc" id="L17">        games.add(new Game(&quot;Stock Guessing Game&quot;));</span>
<span class="fc" id="L18">    }</span>

    @Override
    public List&lt;Game&gt; getAllGames() {
<span class="nc" id="L22">        return new ArrayList&lt;&gt;(games);</span>
    }

}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.2.201808211720</span></div></body></html>